This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 675992 - perl-Wx does not provide perl(Wx::Process) and perl(Wx::PlCommandEvent)
perl-Wx does not provide perl(Wx::Process) and perl(Wx::PlCommandEvent)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-Wx (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-08 09:42 EST by Petr Pisar
Modified: 2011-02-09 15:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-09 15:40:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2011-02-08 09:42:15 EST
I got an error message:

perl-Wx-Perl-ProcessStream has broken dependencies in the rawhide tree:
On x86_64:
        perl-Wx-Perl-ProcessStream-0.30-1.fc15.noarch requires perl(Wx::Process)
        perl-Wx-Perl-ProcessStream-0.30-1.fc15.noarch requires perl(Wx::PlCommandEvent)

perl-Wx-Perl-ProcessStream contains this code:
  #-----------------------------------------------------
  # PACKAGE Wx::Perl::ProcessStream::Process
  #
  # Adds some extra methods to Wx::Process
  #-----------------------------------------------------
  package Wx::Perl::ProcessStream::Process;
  use base qw( Wx::Process );

The Wx::Process module is defined in perl-Wx sources in XS/Process.xs:31:
  MODULE=Wx PACKAGE=Wx::Process

thus the symbol becomes defined by using Wx. From point of view of perl is everything Ok.

Problem is rpmbuild cannot discover the symbol from /usr/lib64/perl5/vendor_perl/auto/Wx/Wx.so.

Could you please add:
  Provides: perl(Wx::Process)
  Provides: perl(Wx::PlCommandEvent)
into perl-Wx.spec?

Better solution would be if Wx CPAN upstream added void file declaring the XS modules (together with POD documentation).
Comment 1 Petr Pisar 2011-02-09 12:03:55 EST
Thank your for quick response. However perl-Wx-0.98-4.fc15 does not still provide perl(Wx::PlCommandEvent) although:

$ grep -Hnr 'PACKAGE=Wx::PlCommandEvent' *
Event.xs:225:MODULE=Wx_Evt PACKAGE=Wx::PlCommandEvent

I guess you should grep *.xs not only under XS/ direcotory. Event.xs is in root.
Comment 2 Tom "spot" Callaway 2011-02-09 15:40:14 EST
perl-Wx-0.98-5.fc15 has this fixed, thanks for your patience and help.

Note You need to log in before you can comment on or make changes to this bug.